// Playback Controls
bind leftarrow "vstr seis_speed-"
bind rightarrow "vstr seis_speed+"
bind downarrow "vstr seis_speed_0.0"
bind uparrow "vstr seis_speed_1.0"
set seis_speed- "vstr seis_speed_0.9"
set seis_speed+ "vstr seis_speed_2.0"
set seis_speed_0.0 "set timescale 0.0001; cl_freezedemo 1; set seis_speed- vstr seis_speed_0.0; set seis_speed+ vstr seis_speed_0.1; echo ^2Timescale^7: ^30.0 (Paused);"
set seis_speed_0.1 "set timescale 0.1; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.0; set seis_speed+ vstr seis_speed_0.2; echo ^2Timescale^7: ^30.1;"
set seis_speed_0.2 "set timescale 0.2; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.1; set seis_speed+ vstr seis_speed_0.3; echo ^2Timescale^7: ^30.2;"
set seis_speed_0.3 "set timescale 0.3; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.2; set seis_speed+ vstr seis_speed_0.4; echo ^2Timescale^7: ^30.3;"
set seis_speed_0.4 "set timescale 0.4; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.3; set seis_speed+ vstr seis_speed_0.5; echo ^2Timescale^7: ^30.4;"
set seis_speed_0.5 "set timescale 0.5; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.4; set seis_speed+ vstr seis_speed_0.6; echo ^2Timescale^7: ^30.5;"
set seis_speed_0.6 "set timescale 0.6; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.5; set seis_speed+ vstr seis_speed_0.7; echo ^2Timescale^7: ^30.6;"
set seis_speed_0.7 "set timescale 0.7; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.6; set seis_speed+ vstr seis_speed_0.8; echo ^2Timescale^7: ^30.7;"
set seis_speed_0.8 "set timescale 0.8; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.7; set seis_speed+ vstr seis_speed_0.9; echo ^2Timescale^7: ^30.8;"
set seis_speed_0.9 "set timescale 0.9; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.8; set seis_speed+ vstr seis_speed_1.0; echo ^2Timescale^7: ^30.9;"
set seis_speed_1.0 "set timescale 1.0; cl_freezedemo 0; set seis_speed- vstr seis_speed_0.9; set seis_speed+ vstr seis_speed_2.0; echo ^2Timescale^7: ^31.0 (Normal);"
set seis_speed_2.0 "set timescale 2.0; cl_freezedemo 0; set seis_speed- vstr seis_speed_1.0; set seis_speed+ vstr seis_speed_4.0; echo ^2Timescale^7: ^32.0;"
set seis_speed_4.0 "set timescale 4.0; cl_freezedemo 0; set seis_speed- vstr seis_speed_2.0; set seis_speed+ vstr seis_speed_8.0; echo ^2Timescale^7: ^34.0;"
set seis_speed_8.0 "set timescale 8.0; cl_freezedemo 0; set seis_speed- vstr seis_speed_4.0; set seis_speed+ vstr seis_speed_16.0; echo ^2Timescale^7: ^38.0;"
set seis_speed_16.0 "set timescale 16.0; cl_freezedemo 0; set seis_speed- vstr seis_speed_8.0; set seis_speed+ vstr seis_speed_32.0; echo ^2Timescale^7: ^316.0;"
set seis_speed_32.0 "set timescale 32.0; cl_freezedemo 0; set seis_speed- vstr seis_speed_16.0; set seis_speed+ vstr seis_speed_64.0; echo ^2Timescale^7: ^332.0;"
set seis_speed_64.0 "set timescale 64.0; cl_freezedemo 0; set seis_speed- vstr seis_speed_32.0; set seis_speed+ vstr seis_speed_128.0; echo ^2Timescale^7: ^364.0;"
set seis_speed_128.0 "set timescale 128.0; cl_freezedemo 0; set seis_speed- vstr seis_speed_64.0; set seis_speed+ vstr seis_speed_128.0; echo ^2Timescale^7: ^3128.0 (Maximum);"

// Restarts Demo
bind kp_leftarrow "vstr seis_PlayCurrentDemo;"

// Takes Screensho
bind kp_rightarrow "screenshot; echo ^2Nice ^2Sceenshot;"

// Toggles 3rd Person mode
set seis_third_disable "cg_thirdperson 0; echo ^1Third ^1Person ^1Mode ^1Disabled; bind kp_5 vstr seis_third_enable; bind kp_end echo ^1First ^1Enable ^13rd ^1Person ^1Mode ^3(^7Press Numpad 5^3)^1!; vstr seis_third_disable_2;"
set seis_third_disable_2 "bind kp_pgdn echo ^1First ^1Enable ^13rd ^1Person ^1Mode ^3(^7Press Numpad 5^3)^1!; bind home echo ^1First ^1Enable ^13rd ^1Person ^1Mode ^3(^7Press Numpad 5^3)^1!; bind end echo ^1First ^1Enable ^13rd ^1Person ^1Mode ^3(^7Press Numpad 5^3)^1!;"
set seis_third_enable "cg_thirdperson 1; echo ^2Third ^2Person ^2Mode ^2Enabled; bind kp_5 vstr seis_third_disable; bind kp_end vstr seis_pl; bind kp_pgdn vstr seis_pr; bind home vstr seis_Range-; bind end vstr seis_Range+;"
bind kp_5 "vstr seis_third_enable"

// 3rd Person Panning
bind kp_end "echo ^1First ^1Enable ^13rd ^1Person ^1Mode ^3(^7Press Numpad 5^3)^1!;"
bind kp_pgdn "echo ^1First ^1Enable ^13rd ^1Person ^1Mode ^3(^7Press Numpad 5^3)^1!;"
set seis_pl "vstr seis_A350;"
set seis_pr "vstr seis_A_10;"
set seis_A__0 "cg_thirdpersonangle   0; set seis_pl vstr seis_A350; set seis_pr vstr seis_A_10"
set seis_A_10 "cg_thirdpersonangle  10; set seis_pl vstr seis_A__0; set seis_pr vstr seis_A_20"
set seis_A_20 "cg_thirdpersonangle  20; set seis_pl vstr seis_A_10; set seis_pr vstr seis_A_30"
set seis_A_30 "cg_thirdpersonangle  30; set seis_pl vstr seis_A_20; set seis_pr vstr seis_A_40"
set seis_A_40 "cg_thirdpersonangle  40; set seis_pl vstr seis_A_30; set seis_pr vstr seis_A_50"
set seis_A_50 "cg_thirdpersonangle  50; set seis_pl vstr seis_A_40; set seis_pr vstr seis_A_60"
set seis_A_60 "cg_thirdpersonangle  60; set seis_pl vstr seis_A_50; set seis_pr vstr seis_A_70"
set seis_A_70 "cg_thirdpersonangle  70; set seis_pl vstr seis_A_60; set seis_pr vstr seis_A_80"
set seis_A_80 "cg_thirdpersonangle  80; set seis_pl vstr seis_A_70; set seis_pr vstr seis_A_90"
set seis_A_90 "cg_thirdpersonangle  90; set seis_pl vstr seis_A_80; set seis_pr vstr seis_A100"
set seis_A100 "cg_thirdpersonangle 100; set seis_pl vstr seis_A_90; set seis_pr vstr seis_A110"
set seis_A110 "cg_thirdpersonangle 110; set seis_pl vstr seis_A100; set seis_pr vstr seis_A120"
set seis_A120 "cg_thirdpersonangle 120; set seis_pl vstr seis_A110; set seis_pr vstr seis_A130"
set seis_A130 "cg_thirdpersonangle 130; set seis_pl vstr seis_A120; set seis_pr vstr seis_A140"
set seis_A140 "cg_thirdpersonangle 140; set seis_pl vstr seis_A130; set seis_pr vstr seis_A150"
set seis_A150 "cg_thirdpersonangle 150; set seis_pl vstr seis_A140; set seis_pr vstr seis_A160"
set seis_A160 "cg_thirdpersonangle 160; set seis_pl vstr seis_A150; set seis_pr vstr seis_A170"
set seis_A170 "cg_thirdpersonangle 170; set seis_pl vstr seis_A160; set seis_pr vstr seis_A180"
set seis_A180 "cg_thirdpersonangle 180; set seis_pl vstr seis_A170; set seis_pr vstr seis_A190"
set seis_A190 "cg_thirdpersonangle 190; set seis_pl vstr seis_A180; set seis_pr vstr seis_A200"
set seis_A200 "cg_thirdpersonangle 200; set seis_pl vstr seis_A190; set seis_pr vstr seis_A210"
set seis_A210 "cg_thirdpersonangle 210; set seis_pl vstr seis_A200; set seis_pr vstr seis_A220"
set seis_A220 "cg_thirdpersonangle 220; set seis_pl vstr seis_A210; set seis_pr vstr seis_A230"
set seis_A230 "cg_thirdpersonangle 230; set seis_pl vstr seis_A220; set seis_pr vstr seis_A240"
set seis_A240 "cg_thirdpersonangle 240; set seis_pl vstr seis_A230; set seis_pr vstr seis_A250"
set seis_A250 "cg_thirdpersonangle 250; set seis_pl vstr seis_A240; set seis_pr vstr seis_A260"
set seis_A260 "cg_thirdpersonangle 260; set seis_pl vstr seis_A250; set seis_pr vstr seis_A270"
set seis_A270 "cg_thirdpersonangle 270; set seis_pl vstr seis_A260; set seis_pr vstr seis_A280"
set seis_A280 "cg_thirdpersonangle 280; set seis_pl vstr seis_A270; set seis_pr vstr seis_A290"
set seis_A290 "cg_thirdpersonangle 290; set seis_pl vstr seis_A280; set seis_pr vstr seis_A300"
set seis_A300 "cg_thirdpersonangle 300; set seis_pl vstr seis_A290; set seis_pr vstr seis_A310"
set seis_A310 "cg_thirdpersonangle 310; set seis_pl vstr seis_A300; set seis_pr vstr seis_A320"
set seis_A320 "cg_thirdpersonangle 320; set seis_pl vstr seis_A310; set seis_pr vstr seis_A330"
set seis_A330 "cg_thirdpersonangle 330; set seis_pl vstr seis_A320; set seis_pr vstr seis_A340"
set seis_A340 "cg_thirdpersonangle 340; set seis_pl vstr seis_A330; set seis_pr vstr seis_A350"
set seis_A350 "cg_thirdpersonangle 350; set seis_pl vstr seis_A340; set seis_pr vstr seis_A__0"

// 3rd Person Range
bind home "echo ^1First ^1Enable ^13rd ^1Person ^1Mode ^3(^7Press Numpad 5^3)^1!;"
bind end "echo ^1First ^1Enable ^13rd ^1Person ^1Mode ^3(^7Press Numpad 5^3)^1!;"
set seis_Range- "vstr seis_R_40"
set seis_Range+ "vstr seis_R_60"
set seis_R_20 "cg_thirdpersonrange  20; set seis_Range- echo ^3Closest ^3Range; set seis_Range+ vstr seis_R_40"
set seis_R_40 "cg_thirdpersonrange  30; set seis_Range- vstr seis_R_20; set seis_Range+ vstr seis_R_60"
set seis_R_60 "cg_thirdpersonrange  40; set seis_Range- vstr seis_R_40; set seis_Range+ vstr seis_R_80"
set seis_R_80 "cg_thirdpersonrange  60; set seis_Range- vstr seis_R_40; set seis_Range+ vstr seis_R100"
set seis_R100 "cg_thirdpersonrange  80; set seis_Range- vstr seis_R_60; set seis_Range+ vstr seis_R120"
set seis_R120 "cg_thirdpersonrange 100; set seis_Range- vstr seis_R_80; set seis_Range+ vstr seis_R140"
set seis_R140 "cg_thirdpersonrange 120; set seis_Range- vstr seis_R100; set seis_Range+ vstr seis_R160"
set seis_R160 "cg_thirdpersonrange 140; set seis_Range- vstr seis_R120; set seis_Range+ vstr seis_R180"
set seis_R180 "cg_thirdpersonrange 160; set seis_Range- vstr seis_R140; set seis_Range+ vstr seis_R200"
set seis_R200 "cg_thirdpersonrange 180; set seis_Range- vstr seis_R160; set seis_Range+ echo ^3Furthest ^3Range"

// Displays Help
bind kp_plus "vstr seis_help;"


set seis_Help "echo  ;echo ^3Seismovision ^32 ^3Demo; echo -------------------; echo Left ^3Arrow ^1-> Decrease Playback Speed by 0.1 below 1.0 and by 1 above 1.0 (Minimum 0.0); echo Right ^3Arrow ^1-> Increase Playback Speed by 0.1 below 1.0 and doubles above 1.0 (Maximum 128.0); echo Up ^3Arrow ^1-> Normal Playback Speed (1.0); echo Down ^3Arrow ^1-> Freezes demo (pictures freezes, but demo continues at slow pace); echo ^3Numpad 0 ^1-> Quit Game; echo ^3Numpad 1 ^1-> 3rd Person left pan; echo ^3Numpad 2 ^1-> Toggle Timer; echo ^3Numpad 3 ^1-> 3rd Person right pan; echo ^3Numpad 4 ^1-> Restart Demo; echo ^3Numpad 5 ^1-> Third-person mode toggle; echo ^3Numpad 6 ^1-> Take Sceenshot; echo ^3Numpad 7 ^1-> Decrease Sound Volume; echo ^3Numpad 8 ^1-> Mute Sound; echo ^3Numpad 9 ^1-> Increase Sound Volume; vstr seis_help_2;"

set seis_Help_2 "echo ^3Numpad Minus (-) ^1-> Display Scores (where possible); echo ^3Numpad Plus (+) ^1-> Displays Demo Control Help (where possible); echo ^3Home ^1-> Increase 3rd Person Range; echo ^3End ^1-> Decrease 3rd Person Range; echo ^3F7 ^1-> Play Selected demo (playlist only); echo ^3F6 ^1-> Next demo (playlist only); echo ^3F5 ^1-> Previous demo (in playlist only); echo ^1Note^3: Use PageUp and PageDown to scroll up and down in the console; echo  ;"


